Complexity:
Subject: Using Locale parser in Float TypeConverter
Description

since the Validator has it, it would be nice and useful to let the Property Mapper use the Locale parser to differentiate between various
given decimal and thousands separators

Related issues:
related to TYPO3.Flow - Bug # 35173: PropertyMapping: FloatConverter - map fr... Closed 2012-03-23

Associated revisions
Revision d10d076b - 2012-07-18 14:07 - Adrian Föder

[FEATURE] FloatConverter uses Locale parser

If configured using the Property Mapping Configuration,
the FloatConverter now can also use the Locale parser
to get the intended `float` value from a string input.

Change-Id: Ib95c52d958d765eb0a9cd20e415642186e25ee57
Resolves: #36333
Releases: 1.2

Revision b83b9b43 - 2012-07-18 16:25 - Karsten Dambekalns

[BUGFIX] Fix functional tests after FloatConverter change

Somehow two failing functional tests went unnoticed so far,
broken with Ib95c52d958d765eb0a9cd20e415642186e25ee57.

Change-Id: Iafdcfeff0361579ae28910509e9301eba8c69a23
Related: #36333
Releases: 1.2

History
#1 - 2012-04-19 15:58 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10634
#2 - 2012-04-23 23:56 - Alexander Berl

I'd suggest using $this->localizationService->getConfiguration()->getCurrentLocale() instead of 
$this->localizationService->getConfiguration()->getDefaultLocale(), because it falls back to default locale but allows for overriding the locale via code
(for example by parsing Accept-Language headers, or from session).

Other than that +1

#3 - 2012-04-24 09:04 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10634

#4 - 2012-04-24 09:05 - Adrian Föder
- Has patch changed from No to Yes

thanks Alexander for the catch, could you review it again please and comment/vote directly on Gerrit? Thanks a lot!

#5 - 2012-04-28 22:10 - Alexander Berl
- File 0001-FEATURE-FloatConverter-uses-Locale-parser.patch added

I'm not sure how to push a change to this changeset and found no one on the IRC channel to give me some hints, so I'm just adding a patch diff.

This fixes the failing test when no configuration is given with the convertFrom call, adds conversion from float => float which resolves #35173 and adds
some more unit tests for the new functionality.

#6 - 2012-05-22 11:28 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10634

#7 - 2012-05-25 09:40 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#8 - 2012-06-19 11:03 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 2.0 beta 1

#9 - 2012-07-06 13:10 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10634

#10 - 2012-07-06 15:14 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10634

#11 - 2012-07-06 15:35 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10634

#12 - 2012-07-18 14:08 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10634

#13 - 2012-07-18 15:35 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d10d076b3116d5eea2c124ad8a3a0ede4da6ee6c.

Files
0001-FEATURE-FloatConverter-uses-Locale-parser.patch 9.8 kB 2012-04-28 Alexander Berl
